=== debian/control ===
Source: sfst
Priority: optional
Maintainer: Rico Sennrich <rico.sennrich@gmx.ch>
Uploaders: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config (>= 0.20 ), flex, bison, libreadline-dev (>= 5.2), libncurses5-dev (>= 5.5)
Standards-Version: 3.9.4
Section: misc
Homepage: http://www.ims.uni-stuttgart.de/projekte/gramotron/SOFTWARE/SFST.html

Package: sfst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: 
Description: Stuttgart finite-state transducer tools
 SFST is a toolbox for the implementation of morphological analysers 
 and other tools which are based on finite state transducer 
 technology. The SFST tools comprise
 .
   * a compiler which translates transducer programs into minimised transducers
   * interactive and batch-mode analysis programs
   * tools for comparing and printing transducers
   * a C++ library which is efficient and easy to use 
 .

Package: libsfst1-1.4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Provides: libsfst1
Conflicts: libsfst1
Description: Shared library for SFST
 Contains shared library for SFST. SFST is a toolbox for the 
 implementation of morphological analysers and other tools which are 
 based on finite state transducer technology.
 .

Package: libsfst1-1.4-dev
Section: libdevel
Architecture: any
Depends: libsfst1-1.4 (= ${binary:Version}), ${misc:Depends}
Provides: libsfst1-dev
Conflicts: libsfst1-dev
Description: Development library SFST
 Contains development files for SFST. SFST is a toolbox for the 
 implementation of morphological analysers and other tools which are 
 based on finite state transducer technology.
 .
