## sfst 1.4.6h

=== debian/changelog ===
sfst (1.4.6h-1) unstable; urgency=low

  * new upstream release
  * bump standards to 3.9.5
  * fix clang compilation error (closes: #750116)

 -- Rico Sennrich <rico.sennrich@gmx.ch>  Sun, 8 Jun 2014 17:35:54 +0000
