## sfst 1.4.7b

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,3 @@
-
-# try different definitions of SGILIB if hash_map is not found
-#SGILIB=
-SGILIB=-DSGI__gnu_cxx
-#SGILIB=-DSGIext
 
 # comment the following lines if readline is not found
 READLINE = -DREADLINE
@@ -12,6 +7,15 @@
 LREADLINE = -lreadline -lhistory -lncurses
 endif
 
+# The programs will be installed in the subdirectory bin of $DESTDIR
+# The manpages are copied to the subdirectory man of $DESTDIR
+DESTDIR = /usr/local/
+
+# Try different definitions of SGILIB if hash_map is not found
+#SGILIB=
+SGILIB=-DSGI__gnu_cxx
+#SGILIB=-DSGIext
+
 # data type used for the encoding of the symbols (char, short, or int)
 # short is the default
 #CDT=-DCODE_DATA_TYPE=short
@@ -44,9 +48,6 @@
 else
 INSTALL_LIBS = $(INSTALL) -s
 endif
-
-DESTDIR =
-PREFIX = /usr/local/
 
 PROGRAMS = fst-compiler$(EXE) fst-infl$(EXE) fst-generate$(EXE) fst-print$(EXE)\
 	fst-compare$(EXE) fst-compact$(EXE) fst-infl2$(EXE) fst-lowmem$(EXE)\
@@ -138,12 +139,12 @@
 	-rm $(ALLPROGRAMS) testprogram 2>&- > /dev/null
 
 install: $(PROGRAMS)
-	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)bin
-	for p in $(PROGRAMS); do $(INSTALL) $$p $(DESTDIR)$(PREFIX)bin/$$p; done
+	$(INSTALL_DIR) $(DESTDIR)bin
+	for p in $(PROGRAMS); do $(INSTALL) $$p $(DESTDIR)bin/$$p; done
 
 maninstall:
-	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)man/man1
-	for m in man1/*.1; do $(INSTALL_MANPAGES) $$m $(DESTDIR)$(PREFIX)man/$$m; done
+	$(INSTALL_DIR) $(DESTDIR)man/man1
+	for m in man1/*.1; do $(INSTALL_MANPAGES) $$m $(DESTDIR)man/$$m; done
 
 ifeq ($(findstring arwin, $(shell uname)),arwin)
 DYNLIBS = libsfst.dylib
