=== debian/changelog ===
sfst (1.4.7b-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Mon, 25 Jan 2016 11:50:52 +0100
