=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Rico Sennrich <rico.sennrich@gmx.ch>
 Uploaders: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config (>= 0.20 ), flex, bison, libreadline-dev (>= 5.2), libncurses5-dev (>= 5.5)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: misc
 Homepage: http://www.cis.uni-muenchen.de/~schmid/tools/SFST/
