=== debian/watch ===
version=3
ftp://ftp.ims.uni-stuttgart.de/pub/corpora/SFST/SFST-(.+).tar.gz
