=== debian/changelog ===
sfst (1.5.8-2) unstable; urgency=low

  * Team upload

  [ Andreas Tille ]
  * Remove unused patches

  [ Nilesh Patra ]
  * Enable propagation of hardening flags

 -- Andreas Tille <tille@debian.org>  Sun, 18 Aug 2024 07:55:06 +0200

sfst (1.5.8-1) experimental; urgency=low

  * Team upload.
  [ Akshay S Dinesh ]
  * New upstream and new upstream release

  [ Andreas Tille ]
  * Team maintenance by Debian Science team and new maintainer according
    to "RFA: sfst -- Stuttgart finite-state transducer tools" where Akshay
    provided some valuable work on upgrading the package.  I take the quote
      In case I don't come back someone can benefit from these.
    for a chance to let the Debian Science team benefit from these and put
    the package into team maintenance
    Closes: #991815, #843372
  * Add Vcs fields
  * New homepage
  * Fix watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove useless boilerplate in d/rules
  * Drop get-orig-source target since there is no real point in removing
    data and simple PDF docs.
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * debian/control: Remove empty control field Conflicts in package sfst.
  * Remove empty debian/patches/series.
  * Add missing build-dependency on python3-setuptools.
  * Add upstream metadata
  * Add missing Build-Depends
  * No need for debian/*.dirs files
  * Add autopkgtest
  * Attempt to use d-shlibs failed since upstream does not provide static
    library in build system - left d-shlibs call as comment
  * Unversioned *-dev package
  * Fix installation of docs
  * Lintian-override for *.a data file
  * Hardeing options
  * DEP-5 copyright

 -- Andreas Tille <tille@debian.org>  Wed, 07 Aug 2024 15:30:29 +0200
