=== debian/control ===
Source: sfst
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Akshay S Dinesh <akshay@learnlearn.in>
Build-Depends: debhelper-compat (= 13),
#               d-shlibs,
               cmake,
               flex,
               bison,
               libreadline-dev,
               python3,
               python3-pybind11,
               python3-setuptools
Standards-Version: 4.7.0
Section: misc
Vcs-Browser: https://salsa.debian.org/science-team/sfst
Vcs-Git: https://salsa.debian.org/science-team/sfst.git
Homepage: https://github.com/santhoshtr/sfst
Rules-Requires-Root: no

Package: sfst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Stuttgart finite-state transducer tools
 SFST is a toolbox for the implementation of morphological analysers
 and other tools which are based on finite state transducer
 technology. The SFST tools comprise
 .
   * a compiler which translates transducer programs into minimised transducers
   * interactive and batch-mode analysis programs
   * tools for comparing and printing transducers
   * a C++ library which is efficient and easy to use

Package: libsfst1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Replaces: libsfst1-1.4
Conflicts: libsfst1-1.4
Provides: libsfst1-1.4
Description: Shared library for SFST
 Contains shared library for SFST. SFST is a toolbox for the
 implementation of morphological analysers and other tools which are
 based on finite state transducer technology.

Package: libsfst-dev
Section: libdevel
Architecture: any
Depends: libsfst1 (= ${binary:Version}), ${misc:Depends}
Replaces: libsfst1-1.4-dev
Conflicts: libsfst1-1.4-dev
Provides: libsfst1-1.4-dev
Description: Development library SFST
 Contains development files for SFST. SFST is a toolbox for the
 implementation of morphological analysers and other tools which are
 based on finite state transducer technology.
