## sfst 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.20)
 file(STRINGS "VERSION" SFST_VERSION)
 
 project(sfst VERSION ${SFST_VERSION})
@@ -18,4 +18,5 @@
 add_subdirectory(src)
 
 # add python bindings
+add_subdirectory(pybind11)
 add_subdirectory(python)
