=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.20)
 
-find_package(FLEX 2.6.4)
+list(INSERT CMAKE_MODULE_PATH 0 "${PROJECT_SOURCE_DIR}/src/cmake")
+
+find_package(FLEX)
 find_package(BISON)
+find_package(readline)
 
-set(CMAKE_CXX_FLAGS "-O3 -Wall -std=c++11 -ansi")
+set(CMAKE_CXX_FLAGS "-O3 -Wall -std=c++17 -ansi")
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 include_directories(.)
@@ -19,6 +22,10 @@
     FLEX_TARGET(sfst utf8-scanner.ll ${CMAKE_CURRENT_BINARY_DIR}/utf8-scanner.cpp COMPILE_FLAGS --nounput)
 else()
     message(STATUS "Flex not found, so executables won't be generated.")
+endif()
+
+if(NOT READLINE_FOUND)
+    message(STATUS "Readline not found, so executables won't be generated.")
 endif()
 
 # Include dir
@@ -107,7 +114,7 @@
     RUNTIME DESTINATION lib)
 
 # Install the headers
-install(FILES ${HEADERS} DESTINATION include)
+install(FILES ${HEADERS} DESTINATION include/${PROJECT_NAME})
 
 file(GLOB_RECURSE SOURCE_FILES *.cpp)
