=== debian/changelog ===
sfst (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1079107
  * Build-Depends: pybind11-dev

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2025 11:42:08 +0100
