=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                bison,
                libreadline-dev,
                python3,
+               pybind11-dev,
                python3-pybind11,
                python3-setuptools
 Standards-Version: 4.7.0
