=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_BUILD_DIR = build
export DH_SOURCE_DIR = .

%:
	dh $@ --buildsystem=cmake --builddirectory=build

# Build system needs to create static and shared library (which means patching cmake files) so we can't use d-shlibs yet
#override_dh_install:
#	dh_install
#	d-shlibmove --commit \
#		    --multiarch \
#		    --devunversioned \
#		    --exclude-la \
#                    --movedev debian/tmp/usr/include usr \
#                    debian/tmp/usr/lib/*/*.so
